Bug 501058 - [PEM] destroy mutex on module destroy even if module arguments are omitted
Summary: [PEM] destroy mutex on module destroy even if module arguments are omitted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nss
Version: 10
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Elio Maldonado Batiz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 501138
TreeView+ depends on / blocked
 
Reported: 2009-05-15 18:07 UTC by Kamil Dudka
Modified: 2009-07-19 10:26 UTC (History)
2 users (show)

Fixed In Version: 3.12.3.99.3-2.10.4.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-19 10:25:37 UTC


Attachments (Terms of Use)
test case (610 bytes, application/octet-stream)
2009-05-15 18:07 UTC, Kamil Dudka
no flags Details
proposed fix (911 bytes, patch)
2009-05-15 18:08 UTC, Kamil Dudka
no flags Details | Diff

Description Kamil Dudka 2009-05-15 18:07:25 UTC
Created attachment 344212 [details]
test case

Description of problem:
one undestroyed mutex per each module's load when initialized without arguments

Version-Release number of selected component (if applicable):
nss-3.12.2-5.fc10

Steps to Reproduce:
1. run the attached test case
  
Actual results:
==4469== 43,008 bytes in 256 blocks are definitely lost in loss record 27 of 27
==4469==    at 0x4A04D1F: calloc (vg_replace_malloc.c:279)
==4469==    by 0x340EA2243C: PR_NewLock (in /usr/lib64/libnspr4.so)
==4469==    by 0x4C4956B: nssCKFWMutex_Create (mutex.c:137)
==4469==    by 0x4C4919C: nssCKFWInstance_Create (instance.c:245)
==4469==    by 0x4C53E81: NSSCKFWC_Initialize (wrap.c:205)
==4469==    by 0x364E234816: secmod_ModuleInit (pk11load.c:146)
==4469==    by 0x364E234F33: SECMOD_LoadPKCS11Module (pk11load.c:378)
==4469==    by 0x364E247973: SECMOD_LoadModule (pk11pars.c:323)
==4469==    by 0x364E247B77: SECMOD_LoadUserModule (pk11pars.c:391)
==4469==    by 0x4007A3: main (test.c:17)
==4469==
==4469== LEAK SUMMARY:
==4469==    definitely lost: 43,008 bytes in 256 blocks.

Additional info:
patch ready and awaiting review

Comment 1 Kamil Dudka 2009-05-15 18:08:02 UTC
Created attachment 344214 [details]
proposed fix

Comment 2 Fedora Update System 2009-06-23 04:06:06 UTC
nss-3.12.3.99.3-2.11.3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nss-3.12.3.99.3-2.11.3.fc11

Comment 3 Fedora Update System 2009-06-27 02:39:04 UTC
nss-3.12.3.99.3-2.11.3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nss'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6948

Comment 4 Fedora Update System 2009-06-27 02:56:51 UTC
nss-3.12.3.99.3-2.10.4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nss'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7017

Comment 5 Fedora Update System 2009-07-19 10:25:06 UTC
nss-3.12.3.99.3-2.11.3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-07-19 10:26:13 UTC
nss-3.12.3.99.3-2.10.4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.